package com.tomas.lps_asi.lib;


import android.app.Dialog;
import android.content.Context;
import android.view.Window;
import android.widget.TextView;

import com.tomas.lps_asi.R;


public class AlertProgress {
    private Context context = null;
    private Dialog dialog = null;
    private TextView txt_Message = null;

    public AlertProgress(Context context) {
        this.context = context;

        dialog = new Dialog(context);
        dialog.requestWindowFeature(Window.FEATURE_NO_TITLE);
        dialog.setContentView(R.layout.layout_dialog_progress);
        dialog.setCancelable(false);

        txt_Message = (TextView) dialog.findViewById(R.id.txt_message);
    }
    public void setMessage(CharSequence message) {
        txt_Message.setText(message);
    }

    public void show() {
        dialog.show();
    }

    public void dismiss(){
        dialog.dismiss();
    }
}
